org.springframework.expression.spel.ast

## Class InlineList

- java.lang.Object
- - org.springframework.expression.spel.ast.SpelNodeImpl
  - - org.springframework.expression.spel.ast.InlineList

All Implemented Interfaces:
  SpelNode

    public class InlineList
    extends SpelNodeImpl

Represent a list in an expression, e.g. '{1,2,3}'

Since:
  3.0.4
Author:
  Andy Clement

### Field Summary

### Fields inherited from class org.springframework.expression.spel.ast.SpelNodeImpl

`children, pos`

### Constructor Summary

Constructors
Constructor and Description
`InlineList(int pos, SpelNodeImpl... args)`

### Method Summary

Methods
`TypedValue` `getValueInternal(ExpressionState expressionState)`
`boolean` `isConstant()`
`String` `toStringAST()`

### Methods inherited from class org.springframework.expression.spel.ast.SpelNodeImpl

`getChild, getChildCount, getEndPosition, getObjectClass, getPreviousChild, getStartPosition, getTypedValue, getValue, getValue, getValueRef, isWritable, nextChildIs, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InlineList

    public InlineList(int pos,
              SpelNodeImpl... args)

### Method Detail

#### getValueInternal

    public TypedValue getValueInternal(ExpressionState expressionState)
                                throws EvaluationException

Specified by:
  `getValueInternal` in class `SpelNodeImpl`
Throws:
  `EvaluationException`

#### toStringAST

    public String toStringAST()

Specified by:
  `toStringAST` in interface `SpelNode`
Specified by:
  `toStringAST` in class `SpelNodeImpl`
Returns:
  the string form of this AST node

#### isConstant

    public boolean isConstant()

Returns:
  whether this list is a constant value